"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.renderWithBackend = renderWithBackend;
exports.renderWithTestBackend = renderWithTestBackend;
var _wrappers = require("./wrappers");
var _vue = require("@testing-library/vue");
var _reactDndHtml5Backend = require("react-dnd-html5-backend");
var _reactDndTestBackend = require("react-dnd-test-backend");
function _defineProperty(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _objectSpread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _defineProperty(target, key, source[key]);
        });
    }
    return target;
}
function renderWithBackend(DecoratedComponent) {
    var renderOptions = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, Backend = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : _reactDndHtml5Backend.HTML5Backend, backendOptions = arguments.length > 3 && arguments[3] !== void 0 ? arguments[3] : {};
    var root = document.createElement("div");
    var WrappedWithBackend = (0, _wrappers).wrapWithBackend(DecoratedComponent, Backend, _objectSpread({
        rootElement: root
    }, backendOptions));
    return (0, _vue).render(WrappedWithBackend, _objectSpread({}, renderOptions, {
        container: root
    }));
}
function renderWithTestBackend(DecoratedComponent) {
    var renderOptions = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, backendOptions = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {};
    return renderWithBackend(DecoratedComponent, renderOptions, _reactDndTestBackend.TestBackend, backendOptions);
}
