import { DefineComponent } from 'vue';
import { ITestBackend } from 'react-dnd-test-backend';
import type { BackendFactory } from 'dnd-core';
/**
 * Wrap a Component with a DnDContext using the TestBackend
 *
 * @param DecoratedComponent The component to decorate
 * @param backendOptions
 * @returns [Component, getBackend] The wrapped component and a utility method
 * to get the test backend instance.
 */
export declare function wrapWithTestBackend(DecoratedComponent: DefineComponent, backendOptions?: unknown): [DefineComponent, () => ITestBackend | undefined];
/**
 * Wrap a component with a DndContext providing a backend.
 *
 * @param DecoratedComponent The compoent to decorate
 * @param Backend The backend to use (default=HTML5Backend)
 * @param backendOptions The optional backend options
 */
export declare function wrapWithBackend(DecoratedComponent: DefineComponent, Backend?: BackendFactory, backendOptions?: unknown): DefineComponent;
